Currency is composed of a canonical Symbol and Decimals. This Decimals value is used to convert an Amount.Value from atomic units (Satoshis) to standard units (Bitcoins).

export
interface

  RosettaCurrency

### Hierarchy

- RosettaCurrency

## Index

### Properties

- decimals
- metadata
- symbol

## Properties

### decimals

decimals: number

- Defined in src/generated/models/RosettaCurrency.ts:33

Number of decimal places in the standard unit representation of the amount. For example, BTC has 8 decimals. Note that it is not possible to represent the value of some currency in atomic units that is not base 10.

memberof

  RosettaCurrency

### Optional metadata

metadata: object

- Defined in src/generated/models/RosettaCurrency.ts:39

Any additional information related to the currency itself. For example, it would be useful to populate this object with the contract address of an ERC-20 token.

memberof

  RosettaCurrency

### symbol

symbol: string

- Defined in src/generated/models/RosettaCurrency.ts:27

Canonical symbol associated with a currency.

memberof

  RosettaCurrency

Generated using TypeDoc